de.dhbwstuttgart.typeinference

## Class UndMenge<A>

- java.lang.Object
- - de.dhbwstuttgart.typeinference.UndMenge<A>

All Implemented Interfaces:
  KomplexeMenge<A>

Direct Known Subclasses:
  ConstraintsSet, UndConstraint

    public class UndMenge<A>
    extends java.lang.Object
    implements KomplexeMenge<A>

### Field Summary

Fields
`(package private) Menge<KomplexeMenge<A>>` `set`

### Constructor Summary

Constructors
Constructor and Description
`UndMenge()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addItem(A item)`
`void` `addItems(KomplexeMenge<A> item)`
`Menge<Menge<A>>` `cartesianProduct()`
`Menge<UndMenge<A>>` `getAndSets()`
`Menge<A>` `getItems()`
`Menge<OderMenge<A>>` `getOrSets()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### set

    Menge<KomplexeMenge<A>> set

### Constructor Detail

#### UndMenge

    public UndMenge()

### Method Detail

#### addItems

    public void addItems(KomplexeMenge<A> item)

Specified by:
  `addItems` in interface `KomplexeMenge<A>`

#### addItem

    public void addItem(A item)

Specified by:
  `addItem` in interface `KomplexeMenge<A>`

#### getItems

    public Menge<A> getItems()

Specified by:
  `getItems` in interface `KomplexeMenge<A>`

#### cartesianProduct

    public Menge<Menge<A>> cartesianProduct()

Specified by:
  `cartesianProduct` in interface `KomplexeMenge<A>`

#### getOrSets

    public Menge<OderMenge<A>> getOrSets()

Specified by:
  `getOrSets` in interface `KomplexeMenge<A>`

#### getAndSets

    public Menge<UndMenge<A>> getAndSets()

Specified by:
  `getAndSets` in interface `KomplexeMenge<A>`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`